<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Cogl 2.0 Reference Manual</title>
<meta name="generator" content="DocBook XSL Stylesheets V1.78.1">
<link rel="home" href="index.html" title="Cogl 2.0 Reference Manual">
<link rel="next" href="ch01.html" title="Cogl - a modern 3D graphics API">
<meta name="generator" content="GTK-Doc V1.18.1 (XML mode)">
<link rel="stylesheet" href="style.css" type="text/css">
</head>
<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
<div class="book">
<div class="titlepage">
<div>
<div><table class="navigation" id="top" width="100%" cellpadding="2" cellspacing="0"><tr><th valign="middle"><p class="title">Cogl 2.0 Reference Manual</p></th></tr></table></div>
<div><p class="releaseinfo">for Cogl 2.0;</p></div>
<div><p class="copyright">Copyright © 2008 OpenedHand LTD</p></div>
<div><p class="copyright">Copyright © 2009, 2010, 2011, 2012, 2013 Intel Corporation</p></div>
<div><div class="legalnotice">
<a name="idm139985024329472"></a><p>
        Permission is granted to copy, distribute and/or modify this
        document under the terms of the <em class="citetitle">GNU Free
        Documentation License</em>, Version 1.1 or any later
        version published by the Free Software Foundation with no
        Invariant Sections, no Front-Cover Texts, and no Back-Cover
        Texts. You may obtain a copy of the <em class="citetitle">GNU Free
        Documentation License</em> from the Free Software
        Foundation by visiting <a class="ulink" href="http://www.fsf.org" target="_top">their Web site</a> or by writing
        to:

        </p>
<div class="address"><p><br>
          The Free Software Foundation, Inc.,<br>
          <span class="street">59 Temple Place</span> - Suite 330,<br>
          <span class="city">Boston</span>, <span class="state">MA</span> <span class="postcode">02111-1307</span>,<br>
          <span class="country">USA</span><br>
        </p></div>
<p>
      </p>
</div></div>
</div>
<hr>
</div>
<div class="toc"><dl class="toc">
<dt><span class="chapter"><a href="ch01.html">Cogl - a modern 3D graphics API</a></span></dt>
<dd><dl>
<dt><span class="section"><a href="ch01.html#cogl-intro">About Cogl</a></span></dt>
<dt><span class="section"><a href="cogl-general-apis.html">General API concepts</a></span></dt>
<dd><dl>
<dt>
<span class="refentrytitle"><a href="cogl-2.0-experimental-The-Object-Interface.html">The Object Interface</a></span><span class="refpurpose"></span>
</dt>
<dt>
<span class="refentrytitle"><a href="cogl-2.0-experimental-Exception-handling.html">Exception handling</a></span><span class="refpurpose"> — A way for Cogl to throw exceptions</span>
</dt>
<dt>
<span class="refentrytitle"><a href="cogl-2.0-experimental-Common-Types.html">Common Types</a></span><span class="refpurpose"> — Types used throughout the library</span>
</dt>
</dl></dd>
<dt><span class="section"><a href="cogl-context-apis.html">Setting Up A Drawing Context</a></span></dt>
<dd><dl>
<dt>
<span class="refentrytitle"><a href="cogl-2.0-experimental-CoglRenderer---Connect-to-a-backend-renderer.html">CoglRenderer: Connect to a backend renderer</a></span><span class="refpurpose"> — Choosing a means to render</span>
</dt>
<dt>
<span class="refentrytitle"><a href="cogl-2.0-experimental-CoglOnscreenTemplate---Describe-a-template-for-onscreen-framebuffers.html">CoglOnscreenTemplate: Describe a template for onscreen framebuffers</a></span><span class="refpurpose"></span>
</dt>
<dt>
<span class="refentrytitle"><a href="cogl-2.0-experimental-CoglDisplay---Setup-a-display-pipeline.html">CoglDisplay: Setup a display pipeline</a></span><span class="refpurpose"> — Common aspects of a display pipeline</span>
</dt>
<dt>
<span class="refentrytitle"><a href="cogl-2.0-experimental-The-Top-Level-Context.html">The Top-Level Context</a></span><span class="refpurpose"> — The top level application context.</span>
</dt>
</dl></dd>
<dt><span class="section"><a href="cogl-pipeline-apis.html">Setting Up A GPU Pipeline</a></span></dt>
<dd><dl>
<dt>
<span class="refentrytitle"><a href="cogl-Blend-Strings.html">Blend Strings</a></span><span class="refpurpose"> — A simple syntax and grammar for describing blending and texture
combining functions.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="cogl-2.0-experimental-Pipeline.html">Pipeline</a></span><span class="refpurpose"> — Functions for creating and manipulating the GPU
                    pipeline</span>
</dt>
<dt>
<span class="refentrytitle"><a href="cogl-2.0-experimental-Depth-State.html">Depth State</a></span><span class="refpurpose"> — Functions for describing the depth testing
                    state of your GPU.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="cogl-2.0-experimental-Shader-snippets.html">Shader snippets</a></span><span class="refpurpose"> — Functions for creating and manipulating shader snippets</span>
</dt>
</dl></dd>
<dt><span class="section"><a href="cogl-buffer-apis.html">Allocating GPU Memory</a></span></dt>
<dd><dl>
<dt>
<span class="refentrytitle"><a href="cogl-2.0-experimental-CoglBuffer---The-Buffer-Interface.html">CoglBuffer: The Buffer Interface</a></span><span class="refpurpose"> — Common buffer functions, including data upload APIs</span>
</dt>
<dt>
<span class="refentrytitle"><a href="cogl-2.0-experimental-CoglAttributeBuffer---Buffers-of-vertex-attributes.html">CoglAttributeBuffer: Buffers of vertex attributes</a></span><span class="refpurpose"> — Functions for creating and manipulating attribute
  buffers</span>
</dt>
<dt>
<span class="refentrytitle"><a href="cogl-2.0-experimental-CoglIndexBuffer---Buffers-of-vertex-indices.html">CoglIndexBuffer: Buffers of vertex indices</a></span><span class="refpurpose"> — Functions for creating and manipulating vertex
indices.</span>
</dt>
</dl></dd>
<dt><span class="section"><a href="cogl-buffer-layout-apis.html">Describing the layout of GPU Memory</a></span></dt>
<dd><dl>
<dt>
<span class="refentrytitle"><a href="cogl-2.0-experimental-Vertex-Attributes.html">Vertex Attributes</a></span><span class="refpurpose"> — Functions for declaring and drawing vertex
   attributes</span>
</dt>
<dt>
<span class="refentrytitle"><a href="cogl-2.0-experimental-Indices.html">Indices</a></span><span class="refpurpose">Describe vertex indices stored in a <span class="type">CoglIndexBuffer</span>.</span>
</dt>
</dl></dd>
<dt><span class="section"><a href="cogl-primitive-apis.html">Geometry</a></span></dt>
<dd><dl>
<dt>
<span class="refentrytitle"><a href="cogl-2.0-experimental-Primitives.html">Primitives</a></span><span class="refpurpose"> — Functions for creating, manipulating and drawing
   primitives</span>
</dt>
<dt>
<span class="refentrytitle"><a href="cogl-2.0-experimental-Path-Primitives.html">Path Primitives</a></span><span class="refpurpose"></span>
</dt>
<dt>
<span class="refentrytitle"><a href="cogl-2.0-experimental-Rectangles.html">Rectangles</a></span><span class="refpurpose"></span>
</dt>
</dl></dd>
<dt><span class="section"><a href="cogl-textures.html">Textures</a></span></dt>
<dd><dl>
<dt>
<span class="refentrytitle"><a href="cogl-2.0-experimental-Bitmap.html">Bitmap</a></span><span class="refpurpose"> — Functions for loading images</span>
</dt>
<dt>
<span class="refentrytitle"><a href="cogl-2.0-experimental-The-Texture-Interface.html">The Texture Interface</a></span><span class="refpurpose"> — Functions for creating and manipulating textures</span>
</dt>
</dl></dd>
<dt><span class="section"><a href="cogl-meta-textures.html">Meta Textures</a></span></dt>
<dd><dl>
<dt>
<span class="refentrytitle"><a href="cogl-2.0-experimental-High-Level-Meta-Textures.html">High Level Meta Textures</a></span><span class="refpurpose">Interface for high-level textures built from
                    low-level textures like <span class="type">CoglTexture2D</span> and
                    <span class="type">CoglTexture3D</span>.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="cogl-2.0-experimental-Sub-Textures.html">Sub Textures</a></span><span class="refpurpose"> — Functions for creating and manipulating
                    sub-textures.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="cogl-2.0-experimental-Sliced-Textures.html">Sliced Textures</a></span><span class="refpurpose"> — Functions for creating and manipulating 2D meta
                    textures that may internally be comprised of
                    multiple 2D textures with power-of-two sizes.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="cogl-2.0-experimental-X11-Texture-From-Pixmap.html">X11 Texture From Pixmap</a></span><span class="refpurpose"> — Functions for creating and manipulating 2D meta
                    textures derived from X11 pixmaps.</span>
</dt>
</dl></dd>
<dt><span class="section"><a href="cogl-primitive-textures.html">Primitive Textures</a></span></dt>
<dd><dl>
<dt>
<span class="refentrytitle"><a href="cogl-2.0-experimental-Low-level-primitive-textures.html">Low-level primitive textures</a></span><span class="refpurpose">Interface for low-level textures like
                    <span class="type">CoglTexture2D</span> and <span class="type">CoglTexture3D</span>.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="cogl-2.0-experimental-2D-textures.html">2D textures</a></span><span class="refpurpose"> — Functions for creating and manipulating 2D textures</span>
</dt>
<dt>
<span class="refentrytitle"><a href="cogl-2.0-experimental-3D-textures.html">3D textures</a></span><span class="refpurpose"> — Functions for creating and manipulating 3D textures</span>
</dt>
<dt>
<span class="refentrytitle"><a href="cogl-2.0-experimental-Rectangle-textures-(non-normalized-coordinates).html">Rectangle textures (non-normalized coordinates)</a></span><span class="refpurpose"> — Functions for creating and manipulating rectangle
                    textures for use with non-normalized coordinates.</span>
</dt>
</dl></dd>
<dt><span class="section"><a href="cogl-framebuffer-apis.html">Framebuffers</a></span></dt>
<dd><dl>
<dt>
<span class="refentrytitle"><a href="cogl-2.0-experimental-CoglFramebuffer---The-Framebuffer-Interface.html">CoglFramebuffer: The Framebuffer Interface</a></span><span class="refpurpose"> — A common interface for manipulating framebuffers</span>
</dt>
<dt>
<span class="refentrytitle"><a href="cogl-2.0-experimental-CoglOnscreen---The-Onscreen-Framebuffer-Interface.html">CoglOnscreen: The Onscreen Framebuffer Interface</a></span><span class="refpurpose"></span>
</dt>
<dt>
<span class="refentrytitle"><a href="cogl-2.0-experimental-Offscreen-Framebuffers.html">Offscreen Framebuffers</a></span><span class="refpurpose"> — Functions for creating and manipulating offscreen
                    framebuffers.</span>
</dt>
</dl></dd>
<dt><span class="section"><a href="cogl-utilities.html">Utilities</a></span></dt>
<dd><dl>
<dt>
<span class="refentrytitle"><a href="cogl-2.0-experimental-Color-Type.html">Color Type</a></span><span class="refpurpose"> — A generic color definition</span>
</dt>
<dt>
<span class="refentrytitle"><a href="cogl-2.0-experimental-Matrices.html">Matrices</a></span><span class="refpurpose"> — Functions for initializing and manipulating 4x4 matrices</span>
</dt>
<dt>
<span class="refentrytitle"><a href="cogl-2.0-experimental-Matrix-Stacks.html">Matrix Stacks</a></span><span class="refpurpose"> — Functions for efficiently tracking many
                    related transformations</span>
</dt>
<dt>
<span class="refentrytitle"><a href="cogl-2.0-experimental-3-Component-Vectors.html">3 Component Vectors</a></span><span class="refpurpose"> — Functions for handling single precision float
                    vectors.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="cogl-2.0-experimental-Eulers-(Rotations).html">Eulers (Rotations)</a></span><span class="refpurpose"> — Functions for initializing and manipulating
euler angles.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="cogl-2.0-experimental-Quaternions-(Rotations).html">Quaternions (Rotations)</a></span><span class="refpurpose"> — Functions for initializing and manipulating
quaternions.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="cogl-2.0-experimental-GPU-synchronisation-fences.html">GPU synchronisation fences</a></span><span class="refpurpose"> — Functions for notification of command completion</span>
</dt>
<dt>
<span class="refentrytitle"><a href="cogl-2.0-experimental-Versioning-utility-macros.html">Versioning utility macros</a></span><span class="refpurpose"> — Macros for determining the version of Cogl being used</span>
</dt>
</dl></dd>
<dt><span class="section"><a href="cogl-integration.html">Binding and Integrating</a></span></dt>
<dd><dl>
<dt>
<span class="refentrytitle"><a href="cogl-2.0-experimental-SDL-Integration.html">SDL Integration</a></span><span class="refpurpose"> — Integration api for the Simple DirectMedia
                    Layer library.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="cogl-2.0-experimental-Main-loop-integration.html">Main loop integration</a></span><span class="refpurpose"> — Functions for integrating Cogl with an
  application's main loop</span>
</dt>
<dt>
<span class="refentrytitle"><a href="cogl-2.0-experimental-GType-Integration-API.html">GType Integration API</a></span><span class="refpurpose"></span>
</dt>
<dt>
<span class="refentrytitle"><a href="cogl-2.0-experimental-GLES-2.0-context.html">GLES 2.0 context</a></span><span class="refpurpose"> — A portable api to access OpenGLES 2.0</span>
</dt>
</dl></dd>
</dl></dd>
<dt><span class="chapter"><a href="coglglossary.html">Glossaries</a></span></dt>
<dd><dl><dt><span class="glossary"><a href="coglglossary.html#annotation-glossary">Annotation Glossary</a></span></dt></dl></dd>
<dt><span class="index"><a href="ix01.html">Index of all symbols</a></span></dt>
<dt><span class="index"><a href="ix02.html">Index of deprecated symbols</a></span></dt>
<dt><span class="index"><a href="ix03.html">Index of new symbols in 0.8</a></span></dt>
<dt><span class="index"><a href="ix04.html">Index of new symbols in 1.0</a></span></dt>
<dt><span class="index"><a href="ix05.html">Index of new symbols in 1.2</a></span></dt>
<dt><span class="index"><a href="ix06.html">Index of new symbols in 1.4</a></span></dt>
<dt><span class="appendix"><a href="license.html">A. License</a></span></dt>
</dl></div>
</div>
<div class="footer">
<hr>
          Generated by GTK-Doc V1.18.1</div>
</body>
</html>